Subject: bug#18437: 24.3.93; cursor changes color and size at end of line

From: David Reitter <[email-masked]>
Date: Wed, 10 Sep 2014 16:35:21 -0400

On Sep 10, 2014, at 1:23 PM, Eli Zaretskii <[email-masked]> wrote:
> Not reproducible here, with today's emacs-24 branch.

I used the pretest as indicated and replicated it.

What I’m doing is

Emacs -Q

(setq default-frame-alist
	    '((cursor-type . bar)
	      (cursor-color . "red")))

C-x 5 2

Move cursor to end of longest line (“red”))) in my case)

Resize frame horizontally so that the cursor shows up in the right fringe (see screenshot).  38x43 in my case.

> I cannot reproduce this, either.  You didn't say how you enlarged the
> font; I did that with "C-x C-+”.

I can’t do that either, because I can’t get the cursor to show up in the fringe.  That’s why I didn’t give you a recipe.  This one came just from Aquamacs.

> Could be Aquamacs specific.

Could be NS / Mac specific.  The screenshot is taken with GNU Emacs 24.3.93.1.